/**
 * 数据集单元格类
 */
qx.Class.define("xlsys.base.dataset.DataSetCell",
{
	extend : xlsys.java.io.Serializable,
	
	construct: function()
	{
		this.content = null;
		this.oldContent = null;
	},
	
	members :
	{
		content : null,
		oldContent : null,
		
		getSerializableMembers : function()
		{
			var arr = new Array();
			arr.push("content");
			arr.push("oldContent");
			return arr;
		},
		
		getContent : function()
		{
			return this.content;
		},

		setContent : function(content)
		{
			this.content = content;
		},

		getOldContent : function()
		{
			return this.oldContent;
		},

		setOldContent : function(oldContent)
		{
			this.oldContent = oldContent;
		}
	}
});