/**
 * 数据集列
 */
qx.Class.define("xlsys.base.dataset.DataSetColumn",
{
	extend : xlsys.java.io.Serializable,
	
	construct: function()
	{
		this.columnName = null;
		this.javaClass = null;
		this.dbColumnType = null;
		this.sqlType = null;
		this.precision = null;
		this.scale = null;
		this.nullAble = null;
		this.primaryKey = null;
	},
	
	members :
	{
		columnName : null,
		javaClass : null,
		dbColumnType : null,
		sqlType : null,
		precision : null,
		scale : null,
		nullAble : null,
		primaryKey : null,
		
		getSerializableMembers : function()
		{
			var arr = new Array();
			arr.push("columnName");
			arr.push("javaClass");
			arr.push("dbColumnType");
			arr.push("sqlType");
			arr.push("precision");
			arr.push("scale");
			arr.push("nullAble");
			arr.push("primaryKey");
			return arr;
		},
		
		getColumnName : function()
		{
			return this.columnName;
		},

		setColumnName : function(columnName)
		{
			this.columnName = columnName;
		},

		getDbColumnType : function()
		{
			return this.dbColumnType;
		},

		setDbColumnType : function(dbColumnType)
		{
			this.dbColumnType = dbColumnType;
		},

		getSqlType : function()
		{
			return this.sqlType;
		},

		setSqlType : function(sqlType)
		{
			this.sqlType = sqlType;
		},

		getJavaClass : function()
		{
			return this.javaClass;
		},

		setJavaClass : function(javaClass)
		{
			this.javaClass = javaClass;
		},

		getPrecision : function()
		{
			return this.precision;
		},

		setPrecision : function(precision)
		{
			this.precision = precision;
		},

		getScale : function()
		{
			return this.scale;
		},

		setScale : function(scale)
		{
			this.scale = scale;
		},

		isNullAble : function()
		{
			return this.nullAble;
		},

		setNullAble : function(nullAble)
		{
			this.nullAble = nullAble;
		},

		isPrimaryKey : function()
		{
			return this.primaryKey;
		},

		setPrimaryKey : function(primaryKey)
		{
			this.primaryKey = primaryKey;
		},

		cloneOf : function(anotherCol)
		{
			if(anotherCol!=null)
			{
				this.columnName = anotherCol.getColumnName();
				this.javaClass = anotherCol.getJavaClass();
				this.dbColumnType = anotherCol.getDbColumnType();
				this.sqlType = anotherCol.getSqlType();
				this.precision = anotherCol.getPrecision();
				this.scale = anotherCol.getScale();
				this.nullAble = anotherCol.isNullAble();
				this.primaryKey = anotherCol.isPrimaryKey();
			}
		}
	}
});