/**
 * 底层事件对象
 */
qx.Class.define("xlsys.base.event.XlsysEvent",
{
	extend : xlsys.java.util.EventObject,
	
	construct: function(source)
	{
		this.base(arguments, source);
		this.srcEvent = null;
		this.interrupt = false;
		this.doit = true;
		this.errMsg = null;
		this.data = null;
		this.dataMap = null;
		if(arguments.length==2) this.srcEvent = arguments[1];
	},
	
	members :
	{
		srcEvent : null,
		interrupt : null,
		doit : null,
		errMsg : null,
		data : null,
		dataMap : null,
		
		getSerializableMembers : function()
		{
			var arr = this.base(arguments);
			arr.push("srcEvent");
			arr.push("interrupt");
			arr.push("doit");
			arr.push("errMsg");
			return arr;
		},
		
		getSrcEvent : function()
		{
			return this.srcEvent;
		}
	}
});