/**
 * 控制台日志类
 */
qx.Class.define("xlsys.base.log.ConsoleLog", 
{
	extend : xlsys.base.log.Log,
	
	construct: function(logLevel)
	{
		this.base(arguments, logLevel);
		this.__sb = new xlsys.java.lang.StringBuilder();
	},
	
	members :
	{
		__sb : null,
		
		write : function(level, content)
		{
			var str = xlsys.base.util.ObjectUtil.objectToString(content);
			if(qx.lang.String.endsWith(str, "\n"))
			{
				this.__sb.append(str.substr(0, str.length-1));
				if(xlsys.base.log.Log.LOG_LEVEL_DEBUG<=level) console.info(this.__sb.toString());
				else if(xlsys.base.log.Log.LOG_LEVEL_INFO<=level) console.info(this.__sb.toString());
				else if(xlsys.base.log.Log.LOG_LEVEL_WARN<=level) console.warn(this.__sb.toString());
				else if(xlsys.base.log.Log.LOG_LEVEL_ERROR<=level) console.error(this.__sb.toString());
				else if(xlsys.base.log.Log.LOG_LEVEL_FATAL<=level) console.error(this.__sb.toString());
				else console.log(this.__sb.toString());
				delete this.__sb;
				this.__sb = new xlsys.java.lang.StringBuilder();
			}
			else this.__sb.append(str);
			return str.length;
		},

		close : function() {}
	}
});