/**
 * 系统会话管理器
 */
qx.Class.define("xlsys.base.session.SessionManager",
{
	type : "singleton",
	extend : qx.core.Object,
	
	construct: function()
	{
		this.defaultSession = new xlsys.base.session.Session(xlsys.base.XLSYS.SESSION_DEFAULT_ID);
	},
	
	members : 
	{
		currentSession : null,
		defaultSession : null,
		
		/**
		 * 设置当前会话
		 * @param session {xlsys.base.session.Session} 当前会话
		 */
		setCurrentSession : function(session)
		{
			this.currentSession = session;
		},
		
		/**
		 * 获取当前会话
		 * @return {xlsys.base.session.Session} 当前会话
		 */
		getCurrentSession : function()
		{
			return this.currentSession;
		}
	}
});