/**
 * 字符串拼接类
 */
qx.Class.define("xlsys.java.lang.StringBuilder",
{
	extend : qx.core.Object,
	
	construct: function()
	{
		this.__strings = new Array();
		if(arguments.length==1) this.__strings.push(arguments[0]);
	},
	
	members :
	{
		__strings : null,
		
		append : function(str)
		{
			this.__strings.push(str);
			return this;
		},
		
		size : function()
		{
			var length = 0;
			for(var i=0;i<this.__strings.length;++i)
			{
				length += this.__strings[i].length;
			}
			return length;
		},
		
		isEmpty : function()
		{
			return this.size()==0;
		},

		toString : function()
		{
			return this.__strings.join("");
		}
	}
});