/**
 * AbstractMap.SimpleEntry类
 */
qx.Class.define("xlsys.java.util.SimpleEntry",
{
	extend : xlsys.java.io.Serializable,
	implement : [xlsys.java.util.Entry],
	
	construct: function(key, value)
	{
		this.__key = key;
		this.__value = value;
	},
	
	members :
	{
		__key : null,
		__value : null,
		
		getClassName : function()
		{
			return "java.util.AbstractMap.SimpleEntry";
		},
		
		getSerializableMembers : function()
		{
			var arr = new Array();
			arr.push("__key");
			arr.push("__value");
			return arr;
		},
		
		getKey : function()
		{
			return this.__key;
		},

		getValue : function()
		{
			return this.__value;
		},

		setValue : function(value)
		{
			this.__value = value;
		}
	}
});