/**
 * 数据集事件对象
 */
qx.Class.define("xlsys.base.dataset.DataSetEvent",
{
	extend : xlsys.base.event.XlsysEvent,
	
	construct: function(dataSet)
	{
		if(arguments.length>1) this.base(arguments, dataSet, arguments[1]);
		else this.base(arguments, dataSet);
		this.dataSet = dataSet;
		this.oldValue = null;
		this.newValue = null;
		this.oldRow = null;
		this.oldCol = null;
		this.row = null;
		this.col = null;
		this.beginIdxOfExpand = null;
		this.endIdxOfExpand = null;
		this.logLevel = null;
		this.customId = null;
		this.customData = null;
	},
	
	members :
	{
		dataSet : null,
		oldValue : null,
		newValue : null,
		oldRow : null,
		oldCol : null,
		row : null,
		col : null,
		beginIdxOfExpand : null,
		endIdxOfExpand : null,
		logLevel : null,
		customId : null,
		customData : null,
		
		getSerializableMembers : function()
		{
			var arr = this.base(arguments);
			arr.push("dataSet");
			arr.push("oldValue");
			arr.push("newValue");
			arr.push("oldRow");
			arr.push("oldCol");
			arr.push("row");
			arr.push("col");
			arr.push("beginIdxOfExpand");
			arr.push("endIdxOfExpand");
			arr.push("logLevel");
			arr.push("customId");
			arr.push("customData");
			return arr;
		},
		
		getDataSet : function()
		{
			return this.dataSet;
		}
	}
});