/**
 * 可存储数据集接口
 */
qx.Interface.define("xlsys.base.dataset.IStorableDataSet",
{
	extend : [xlsys.base.dataset.IDataSet],
	
	statics :
	{
		OPTION_LOCK_CHANGE : 10000,
		OPTION_LOCK_TO_BE_DELETE_ROW : 10001
	},
	
	members :
	{
		open : function() {},

		/**
		 * 需重载以下方法
		 * save();
		 * save(callback);
		 */
		save : function() {},

		fireBeforeOpen : function(event) {this.assertArgumentsCount(arguments, 1, 1);},

		fireAfterOpen : function(event) {this.assertArgumentsCount(arguments, 1, 1);},
		
		firePrepareSave : function(event) {this.assertArgumentsCount(arguments, 1, 1);},

		fireBeforeSave : function(event) {this.assertArgumentsCount(arguments, 1, 1);},

		fireAfterSave : function(event) {this.assertArgumentsCount(arguments, 1, 1);},

		fireAfterSaveCommit : function(event) {this.assertArgumentsCount(arguments, 1, 1);},

		fireSaveFinally : function(event) {this.assertArgumentsCount(arguments, 1, 1);},

		isChanged : function() {},

		setChanged : function(changed) {this.assertArgumentsCount(arguments, 1, 1);},

		getDataBase : function() {},

		getTableName : function() {},

		getSql : function() {},

		getSelectBean : function() {},

		addUnsaveCol : function(colName) {this.assertArgumentsCount(arguments, 1, 1);},

		getUnSaveColNameSet : function() {},

		hasToBeDeleteRow : function() {},

		getToBeDeleteRowList : function() {},

		hasChangedRow : function() {},

		setSaveTransaction : function(saveTransaction) {this.assertArgumentsCount(arguments, 1, 1);},

		isSaveTransaction : function() {},

		isSorted : function() {}
	}
});